libzypp 17.37.10

ProblemSolution.cc File Reference
`#include <functional>`
`#include <zypp/base/Gettext.h>`
`#include <zypp/solver/detail/SolutionAction.h>`
`#include <zypp/ProblemSolution.h>`
`#include <zypp/base/Logger.h>`
`#include <zypp/solver/detail/Resolver.h>`

Go to the source code of this file.

## Classes
class | zypp::ProblemSolution::Impl
| ProblemSolution implementation. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Macros
#define | ZYPP_USE_RESOLVER_INTERNALS

## Functions
| zypp::IMPL_PTR_TYPE (ProblemSolution)
std::ostream & | zypp::operator<< (std::ostream &os, const ProblemSolution &obj)
std::ostream & | zypp::operator<< (std::ostream &os, const ProblemSolutionList &obj)

## Macro Definition Documentation

## ◆ ZYPP_USE_RESOLVER_INTERNALS

#define ZYPP_USE_RESOLVER_INTERNALS

Definition at line 25 of file ProblemSolution.cc.